﻿using System.Data.Linq;
using System.Data.Linq.Mapping;

namespace LinqToSqlManualExample
{
	[Table(Name = "Ingredients")]
	public class Ingredient
	{
		private EntitySet<ProductIngredient> _productIngredients;

		[Column(IsPrimaryKey = true)]
		public int IngredientID { get; set; }

		[Column(CanBeNull = false)]
		public string Name { get; set; }

		[Association(Storage = "_productIngredients", OtherKey = "IngredientID")]
		public EntitySet<ProductIngredient> ProductIngredients
		{
			get { return _productIngredients; }
			set { _productIngredients.Assign(value); }
		}
	}
}
